Subject: [Masque] HTTP Datagrams Contexts are now OPTIONAL

From: David Schinazi <[email-masked]>
Date: Mon, 25 Oct 2021 15:26:14 -0700

Hi folks,

Just wanted to let everyone know that we've submitted a new revision of
HTTP Datagrams:
https://www.ietf.org/archive/id/draft-ietf-masque-h3-datagram-05.html
Here's a diff:
https://www.ietf.org/rfcdiff?url2=draft-ietf-masque-h3-datagram-05

The main feature here is that HTTP Datagram contexts are now optional to
implement. We believe this provides the best of both worlds: it's still
possible to use datagram extensions optimistically without having to
increase the implementation burden on endpoints that don't want them.

As always, please let us know what you think on the list or in GitHub
issues.

Thanks,
David